SystemOrganization addCategory: #ConfigurationOfQualityAssistant!

ConfigurationOf subclass: #ConfigurationOfQualityAssistant
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfQualityAssistant'!

!ConfigurationOfQualityAssistant commentStamp: 'YuriyTymchuk 4/21/2015 23:40' prior: 0!
Hi, I''m your personal quality assistant. I run Smalllint rules on the code that you modify, and notify you about quality changes. https://github.com/Uko/QualityAssistant#qualityassistant!

!ConfigurationOfQualityAssistant class methodsFor: 'catalog' stamp: 'YuriyTymchuk 3/26/2015 16:05'!
catalogChangeLog
	^ 'v0.1.0 [26.03.2015]: Initial release.'! !

!ConfigurationOfQualityAssistant class methodsFor: 'catalog' stamp: 'YuriyTymchuk 3/26/2015 16:05'!
catalogContactInfo
	^ 'http://yuriy.tymchuk.me'! !

!ConfigurationOfQualityAssistant class methodsFor: 'catalog' stamp: 'YuriyTymchuk 3/26/2015 16:06'!
catalogDescription
	^ 'Hi, I''m your personal quality assistant. I run Smalllint rules on the code that you modify, and notify you about quality changes. https://github.com/Uko/QualityAssistant#qualityassistant'! !

!ConfigurationOfQualityAssistant class methodsFor: 'catalog' stamp: 'YuriyTymchuk 3/26/2015 18:20'!
catalogKeyClassesAndExample
	^ '[Set Up]
Select "Quality Assistant" in World menu. Add regular expressions that will match the package names which you want to be automatically validated. Then press Accept, this will finalize and store the configuration. This setup will be used by Quality Assistant in all future images.


[Usage]
Quality Assistant uses Nautilus plugin to notify uses about the critics. The plugin is automatically activated and will be available in all browsers opened after loading Quality Assistant. By default the plugin is positioned at the bottom of Nautilus browser, and will display a list of critics for a selected class or method. Clicking on the question mark will bring up the rationale on the critic. Clicking on the critic text will highlight the part of problematic code (if possible).'! !

!ConfigurationOfQualityAssistant class methodsFor: 'catalog' stamp: 'YuriyTymchuk 3/26/2015 18:21'!
catalogKeywords
	^ #(quality critics validation automatic smallint)! !

!ConfigurationOfQualityAssistant methodsFor: 'symbolic versions' stamp: 'YuriyTymchuk 4/21/2015 22:34'!
development: spec
	<symbolicVersion: #development>
	
	spec for: #'pharo4.x' version: 'v0.5.0-pre'.
	
	spec for: #'pharo5.x' version: 'v0.5.0-pre'! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/21/2015 22:34'!
pre0_5_0: spec
	<version: 'v0.5.0-pre'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:master' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'symbolic versions' stamp: 'YuriyTymchuk 4/25/2015 00:08'!
stable: spec
	<symbolicVersion: #stable>
	
	spec for: #'pharo4.x' version: 'v0.4.2'.
	
	spec for: #'pharo5.x' version: 'v0.4.2'! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:01'!
v0_1_0: spec
	<version: 'v0.1.0'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.1.0' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:01'!
v0_1_1: spec
	<version: 'v0.1.1'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.1.1' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_1_2: spec
	<version: 'v0.1.2'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.1.2' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_2_0: spec
	<version: 'v0.2.0'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.2.0' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_2_1: spec
	<version: 'v0.2.1'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.2.1' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_2_2: spec
	<version: 'v0.2.2'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.2.2' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_2_3: spec
	<version: 'v0.2.3'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.2.3' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_2_4: spec
	<version: 'v0.2.4'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.2.4' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_2_5: spec
	<version: 'v0.2.5'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.2.5' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/17/2015 17:00'!
v0_3_0: spec
	<version: 'v0.3.0'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.3.0' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/21/2015 22:34'!
v0_4_0: spec
	<version: 'v0.4.0'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.4.0' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/21/2015 23:37'!
v0_4_1: spec
	<version: 'v0.4.1'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.4.1' ];
				import: 'QualityAssistant' ].! !

!ConfigurationOfQualityAssistant methodsFor: 'versions' stamp: 'YuriyTymchuk 4/25/2015 00:08'!
v0_4_2: spec
	<version: 'v0.4.2'>
	
	spec
		for: #'common'
		do: [ 
			spec
				baseline: 'QualityAssistant'
					with: [ spec repository: 'github://Uko/QualityAssistant:v0.4.2' ];
				import: 'QualityAssistant' ].! !
